Bug 1861433 - String array fields don't show descriptions defined in the schema
Summary: String array fields don't show descriptions defined in the schema
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1854198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-28 15:37 UTC by Jon Jackson
Modified: 2020-09-08 10:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Operand form array and object fields did not have logic to retrieve and show field descriptions on the form. Consequence: No descriptions were rendered for array or object type fields. Fix: Add logic to display array and object field descriptions on the operand creation form Result: Object and array fields now show descriptions.
Clone Of: 1854198
Environment:
Last Closed: 2020-09-08 10:54:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
string array filed description (191.58 KB, image/png)
2020-08-21 05:55 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6136 None closed [release-4.5] Bug 1861433: Show descriptions for all dynamic form fields 2020-08-26 18:06:53 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:54:35 UTC

Comment 1 Jon Jackson 2020-07-31 14:07:25 UTC
Fixed, but waiting for https://bugzilla.redhat.com/show_bug.cgi?id=1854198 to be verified. Backport PR is open.

Comment 4 Yadan Pei 2020-08-21 05:55:00 UTC
Created attachment 1712121 [details]
string array filed description

1. Prepare test files and create test operator
cat > test.yaml << EOF
apiVersion: apiextensions.k8s.io/v1beta1
kind: CustomResourceDefinition
metadata:
  name: mock-k8s-array-resources.test.tectonic.com
spec:
  group: test.tectonic.com
  version: v1
  scope: Namespaced
  names:
    plural: mock-k8s-array-resources
    singular: mock-k8s-array-resource
    kind: MockK8sArrayResource
    listKind: MockK8sArrayResources
  validation:
    openAPIV3Schema:
      properties:
        spec:
          type: object
          properties:
            extensions:
              description: A list of extensions, where each one is a URL to a JAR fileld
              type: array
              items:
                type: string
           

---
apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  name: mock-k8s-resource-array-operator
  namespace: operand-test2
  labels:
    automatedTestName: operand-test2
  annotations:
    alm-examples: '[{"apiVersion":"test.tectonic.com/v1","kind":"MockK8sArrayResource","metadata":{"name":"mock-k8s-array-resource-instance", namespace: "operand-test2"}}]'
spec:
  displayName: Mock K8sResourcePrefixOperator
  install:
    strategy: deployment
    spec:
      permissions: []
      deployments:
        - name: test-operator
          spec:
            replicas: 1
            selector:
              matchLabels:
                name: test-operator-alm-owned
            template:
              metadata:
                name: test-operator-alm-owned
                labels:
                  name: test-operator-alm-owned
              spec:
                serviceAccountName: test-operator
                containers:
                  - name: test-operator
                    image: nginx
  customresourcedefinitions:
    owned:
      - name: mock-k8s-array-resources.test.tectonic.com
        version: v1
        kind: MockK8sArrayResource
        displayName: Mock Resource
        description: Mock resource instance for testing descriptons of array field
        resources: []
        specDescriptors:
          - path: k8sResourcePrefix
            description: Spec descriptor for k8sResourcePrefix Array field
            displayName: Descriptor Generated K8s Resource Prefix Array field
            x-descriptors:
              - "urn:alm:descriptor:io.kubernetes:test.tectonic.com:v1:MockK8sArrayResource"
EOF
# oc new-project operand-test2
# oc create -f test.yaml

2. Installed Operators -> Mock K8sResourcePrefixOperator -> click on 'Create MockK8sArrayResource' button -> in the form view, we can see the description for 'Extension' field is shown correctly 
A list of extensions, where each one is a URL to a JAR fileld
(see screenshot)

Verified on 4.5.0-0.nightly-2020-08-20-235458

Comment 6 errata-xmlrpc 2020-09-08 10:54:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.